
export enum ViewEngine {
    Denjuck = 'Denjuck',
    Ejs = 'Ejs',
    Handlebars = 'Handlebars',
}

export enum ViewFileExtension {
    Denjuck = '.html',
    Ejs = '.ejs',
    Handlebars = '.hbs',
}

export function isViewEngine(what: any): what is ViewEngine {
    return (['Denjuck', 'Ejs', 'Handlebars'].includes(String(what)))
}

export function isViewFileExtension(what: any): what is ViewFileExtension {
    return (['.html', '.ejs', '.hbs']).includes(String(what))
}
