import {Join} from './Join.ts'
import {JoinOperator} from '../../types.ts'

/**
 * Query builder class which creates LEFT OUTER JOIN clauses.
 * @extends Join
 */
export class LeftOuterJoin extends Join {
    public readonly operator: JoinOperator = 'LEFT OUTER JOIN'
}
