import {Join} from './Join.ts'
import {JoinOperator} from '../../types.ts'

/**
 * Query builder class which creates RIGHT OUTER JOIN clauses.
 * @extends Join
 */
export class RightOuterJoin extends Join {
    public readonly operator: JoinOperator = 'RIGHT OUTER JOIN'
}
