import { HTTPRequest } from './type/HTTPRequest.ts'
import { Request } from './Request.ts'

/**
 * Base class for requests made with HTTPS.
 * @extends Request
 * @implements HTTPRequest
 */
export default class SecureRequest extends Request implements HTTPRequest {
    public readonly secure: boolean = true
}
